# $Revision: 1.24 $, $Date: 2008/12/07 15:47:50 $
Summary:	glitz - OpenGL compositing library
Summary(pl.UTF-8):	glitz - biblioteka składania OpenGL
Name:		glitz
Version:	0.5.6
Release:	3
License:	BSD-like
Group:		Libraries
Source0:	http://cairographics.org/snapshots/%{name}-%{version}.tar.gz
# Source0-md5:	c507f140ecccc06aed8888c958edda4c
Patch0:		%{name}-link.patch
Patch1:		%{name}-ac.patch
# it's not directory, don't add /
URL:		http://www.freedesktop.org/Software/glitz
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	xorg-lib-libX11-devel
# incompatible with glitz 0.2.x despite same soname
Conflicts:	cairo < 0.3.0-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Glitz is a portable 2D graphics library that uses OpenGL to render
hardware accelerated graphics. It supports many of the latest OpenGL
features, such as efficient off-screen rendering using pbuffers.
Rendering can be carried out by arbitrary OpenGL layers, thanks to
glitz's extensible backend system. Glitz is designed to match the X
Render Extension semantics and provides a general way for accelerating
this imaging model. Glitz can be used as a stand-alone layer above
OpenGL but is also designed to act as a backend for cairo, providing
it with OpenGL accelerated output.

%description -l pl.UTF-8
Glitz to przenośna biblioteka grafiki 2D używająca OpenGL-a do
renderowania grafiki ze sprzętową akceleracją. Obsługuje wiele
nowych możliwości OpenGL-a, takich jak wydajny rendering poza ekranem
przy użyciu p-buforów. Renderowanie może być wykonywane przez dowolne
warstwy OpenGL-a dzięki rozszerzalnemu systemowi backendów glitza.
Glitz został zaprojektowany aby pasował do semantyki rozszerzenia
X Render i dostarcza ogólny sposób akceleracji tego modelu rysowania.
Glitz może być używany jako samodzielna warstwa ponad OpenGL, ale
został zaprojektowany także, żeby służył jako backend dla cairo,
udostępniając akcelerowane wyjście OpenGL.

%package devel
Summary:	Header files for glitz libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek glitz
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
# for glitz-glx
Requires:	OpenGL-devel
Requires:	xorg-lib-libX11-devel

%description devel
Header files for glitz libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek glitz.

%package static
Summary:	Static glitz libraries
Summary(pl.UTF-8):	Statyczne biblioteki glitz
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static glitz libraries.

%description static -l pl.UTF-8
Statyczne biblioteki glitz.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-agl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/glitz*.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glitz.spec,v $
Revision 1.24  2008/12/07 15:47:50  hawk
- fixed building with recent autoconf/libtool

Revision 1.23  2008/07/27 22:22:30  arekm
- release 2

Revision 1.22  2007-10-20 14:00:02  gotar
- different pl translation of 'compositing'

Revision 1.21  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.19  2006/05/22 08:20:45  qboosh
- updated to 0.5.6

Revision 1.18  2006/03/14 02:30:51  wolf
- 20060313

Revision 1.17  2006/02/23 17:33:52  wolf
- 0.5.4 cvs snapshot

Revision 1.16  2006/02/19 09:20:36  qboosh
- BR+R xorg-lib-libX11-devel (used explicitly), ac >= 2.59-9 not to BR libXt

Revision 1.15  2006/02/19 08:15:16  freetz
- 0.5.3

Revision 1.14  2006/02/10 21:42:24  qboosh
- added link patch to avoid -L poisoning in libglitz-glx.la

Revision 1.13  2006/02/09 09:13:24  pluto
- remove redundant BR (OpenGL-devel req. suitable xf86/xorg devel).

Revision 1.12  2005/08/10 08:35:38  saq
- 0.4.4 final, rel 1

Revision 1.11  2005/07/21 07:36:19  freetz
- 0.4.4 (not yet released - tagged as 0.4.4 since 2 weeks - dropin tarball)

Revision 1.10  2005/06/19 08:31:39  qboosh
- updated to 0.4.3 (mostly bugfixes; seems compatible with 0.4.0)

Revision 1.9  2005/02/21 09:27:01  qboosh
- conflicts with glitz-0.2.x-based cairo

Revision 1.8  2005/01/25 22:02:38  qboosh
- updated to 0.4.0

Revision 1.7  2005/01/05 22:28:40  jpc
- reverted (0.3.0 moved to DEVEL)

Revision 1.5  2004/10/30 13:23:06  qboosh
- updated to 0.2.3

Revision 1.4  2004/07/04 21:37:08  qboosh
- updated to 0.1.5

Revision 1.3  2004/05/24 21:41:43  qboosh
- updated to 0.1.3

Revision 1.2  2004/05/12 17:59:19  freetz
- 0.1.2

Revision 1.1  2004/04/18 12:20:24  qboosh
- new
